%define build_vala	1

%define glibapi		2.0
%define glibmajor	8
%define libglib		%mklibname spice-client-glib %{glibapi} %{glibmajor}
%define glibgir		%mklibname spice-client-glib-gir %{glibapi}
%define gtkmajor	4
%define gtkapi3		3.0
%define libgtk3		%mklibname spice-client-gtk %{gtkapi3} %{gtkmajor}
%define gtkgir3		%mklibname spice-client-gtk-gir %{gtkapi3}
%define controllermajor	0
%define libcontroller	%mklibname spice-controller %{controllermajor}
%define develname	%mklibname -d %{name}

Name:		spice-gtk
Version:	0.21
Release:	%mkrel 2
Summary:	A GTK client widget for accessing SPICE desktop servers
Group:		Networking/Remote access
URL:		http://spice-space.org/page/Spice-Gtk
License:	LGPLv2+
Source:		http://www.spice-space.org/download/gtk/%{name}-%{version}.tar.bz2
Patch0:		spice-gtk-0.20-link.patch
BuildRequires:	pkgconfig(cairo) >= 1.2.0
BuildRequires:	pkgconfig(celt051) >= 0.5.1.1
BuildRequires:	pkgconfig(gio-2.0) >= 2.10.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.4
BuildRequires:	pkgconfig(gthread-2.0) > 2.0.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcacard) >= 0.1.2
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.9
BuildRequires:	pkgconfig(libusbredirhost) >= 0.3.3
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(pixman-1) >= 0.17.7
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(spice-protocol) >= 0.12.2
BuildRequires:	pkgconfig(usbutils)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libsasl-devel
BuildRequires:	libjpeg-devel
BuildRequires:	gettext-devel
BuildRequires:	perl-Text-CSV
BuildRequires:	intltool
BuildRequires:	ldetect-lst
BuildRequires:	pyparsing

%if %{build_vala}
BuildRequires:	vala
BuildRequires:	vala-tools
%endif

%description
Spice-GTK is a GTK client widget for accessing SPICE desktop 
servers. This package contains two simple clients based on the 
library:
  spicy is a client to access SPICE desktops.
  spicy-screenshot is a tool to capture screen-shots of a SPICE desktop.

%package -n %{libglib}
Summary: Runtime libraries for %{name}
Group: System/Libraries
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libglib}
Runtime libraries for %{name}.

%package -n %{glibgir}
Summary: GObject introspection interface library for %{name}
Group: System/Libraries
Requires: %{libglib} = %{version}-%{release}
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{glibgir}
GObject introspection interface library for %{name}.

%package -n %{libgtk3}
Summary: Runtime libraries for %{name}
Group: System/Libraries
Obsoletes: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libgtk3}
Runtime libraries for %{name}.

%package -n %{gtkgir3}
Summary: GObject introspection interface library for %{name}
Group: System/Libraries
Requires: %{libgtk3} = %{version}-%{release}
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{gtkgir3}
GObject introspection interface library for %{name}.

%package -n %{libcontroller}
Summary: Runtime libraries for %{name}
Group: System/Libraries
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libcontroller}
Runtime libraries for %{name}.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libglib} = %{version}-%{release}
Requires: %{libgtk3} = %{version}-%{release}
Requires: %{libcontroller} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}spice-gtk3.0-devel < 0.7.81-2

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-gtk=3.0 \
	--disable-static \
	--enable-gtk-doc \
	--enable-gtk-doc-html \
	--disable-gtk-doc-pdf \
%if %{build_vala}
	--enable-vala \
%else
	--disable-vala \
%endif
	--enable-introspection=yes \
	--enable-usbredir \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

# ovitters: avoid file conflicts with spice-protocol
rm -f %{buildroot}%{_includedir}/spice-1/spice/*.h
rm -rf %{buildroot}%{_datadir}/pkgconfig/spice-protocol.pc

%if ! %{build_vala}
	rm -rf %{buildroot}%{_datadir}/vala/
%endif

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/spicy-screenshot
%{_bindir}/spicy
%{_bindir}/spicy-stats
%{_bindir}/spice-client-glib-usb-acl-helper
%{_datadir}/polkit-1/actions/org.spice-space.lowlevelusbaccess.policy

%files -n %{libglib}
%{_libdir}/libspice-client-glib-%{glibapi}.so.%{glibmajor}
%{_libdir}/libspice-client-glib-%{glibapi}.so.%{glibmajor}.*

%files -n %{glibgir}
%{_libdir}/girepository-1.0/SpiceClientGLib-%{glibapi}.typelib

%files -n %{libgtk3}
%{_libdir}/libspice-client-gtk-%{gtkapi3}.so.%{gtkmajor}
%{_libdir}/libspice-client-gtk-%{gtkapi3}.so.%{gtkmajor}.*

%files -n %{gtkgir3}
%{_libdir}/girepository-1.0/SpiceClientGtk-%{gtkapi3}.typelib

%files -n %{libcontroller}
%{_libdir}/libspice-controller.so.%{controllermajor}
%{_libdir}/libspice-controller.so.%{controllermajor}.*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/spice-gtk
%{_includedir}/spice-client-glib-2.0
%{_includedir}/spice-client-gtk-%{gtkapi3}/
%{_includedir}/spice-controller/
%{_libdir}/libspice-client-glib-2.0.so
%{_libdir}/libspice-client-gtk-%{gtkapi3}.so
%{_libdir}/libspice-controller.so
%{_libdir}/pkgconfig/spice-client-glib-2.0.pc
%{_libdir}/pkgconfig/spice-client-gtk-%{gtkapi3}.pc
%{_libdir}/pkgconfig/spice-controller.pc
%{_datadir}/gir-1.0/SpiceClientGLib-2.0.gir
%{_datadir}/gir-1.0/SpiceClientGtk-%{gtkapi3}.gir
%if %{build_vala}
%{_datadir}/vala/vapi/spice-protocol.vapi
%{_datadir}/vala/vapi/spice-client-glib-%{glibapi}.deps
%{_datadir}/vala/vapi/spice-client-glib-%{glibapi}.vapi
%{_datadir}/vala/vapi/spice-client-gtk-%{gtkapi3}.deps
%{_datadir}/vala/vapi/spice-client-gtk-%{gtkapi3}.vapi
%endif


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.21-2.mga4
+ Revision: 536089
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 colin <colin> 0.21-1.mga4
+ Revision: 483263
- New version: 0.21 (inc. fix for mga#11260 CVE-2013-4324)

* Sat Aug 31 2013 fwang <fwang> 0.20-4.mga4
+ Revision: 473661
- rebuild for new sasl

* Tue Aug 27 2013 luigiwalser <luigiwalser> 0.20-3.mga4
+ Revision: 472091
- rebuild for cyrus-sasl

* Sun Jul 21 2013 fwang <fwang> 0.20-2.mga4
+ Revision: 456829
- cleanup br

* Sun Jul 21 2013 fwang <fwang> 0.20-1.mga4
+ Revision: 456800
- only build gtk2 flavour now
- try fix linking
- fix linkage
- autorecnf is not required
- new version 0.20

* Tue May 28 2013 pterjan <pterjan> 0.19-1.mga4
+ Revision: 429018
- Don't remove embedded spice-protocol, this sadly upsets configure
- Update file list as snappy was renamed

  + ovitters <ovitters>
    - drop merged patch
    - new version 0.19

* Mon Jan 14 2013 umeabot <umeabot> 0.15-3.mga3
+ Revision: 382521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 cjw <cjw> 0.15-2.mga3
+ Revision: 337619
- patch1: fix build with automake 1.13
- use packaged instead of bundled spice-protocol

* Tue Dec 25 2012 cjw <cjw> 0.15-1.mga3
+ Revision: 334947
- 0.15

* Sun Dec 23 2012 cjw <cjw> 0.14-3.mga3
+ Revision: 334088
- add missing dependency to devel package

* Sun Dec 23 2012 cjw <cjw> 0.14-2.mga3
+ Revision: 334084
- add BuildRequires: pkgconfig(pygtk-2.0)
- build gtk2 python module for virt-manager

* Thu Sep 27 2012 colin <colin> 0.14-1.mga3
+ Revision: 298640
- New version: 0.14
- Apply patch from Fedora (teuf) to clean environment before using dbus in setuid (mga#7536)

* Thu Aug 09 2012 ovitters <ovitters> 0.12.101-1.mga3
+ Revision: 280290
- avoid file conflicts
- increase lib majors
- br pyparsing
- new version 0.12.101
- drop linking patch
- new version 0.12

* Wed Feb 08 2012 ovitters <ovitters> 0.9-1.mga2
+ Revision: 206503
- add upstream patch to fix linking
- fix buildrequires
- explicitly enable usbredir to turn missing BR into clear build errors
- fix buildrequires
- new version
- drop merged patches

* Wed Dec 21 2011 wally <wally> 0.7.150-2.mga2
+ Revision: 185488
- add P1 to fix build with vala
- enable introspection for sure
- add configure option to use our pnp.ids

  + ovitters <ovitters>
    - enable vala
    - do not run autoreconf/intltoolize

* Tue Dec 20 2011 wally <wally> 0.7.150-1.mga2
+ Revision: 185028
- new version 0.7.150
- rediff P1
- drop P2 and P3
- disable vala build for now

* Thu Dec 01 2011 ovitters <ovitters> 0.7.81-3.mga2
+ Revision: 174944
- package vala bindings
- fix gtk version
- fix typo

  + fwang <fwang>
    - split libs
    - convert br into pkgconfig style

* Thu Dec 01 2011 fwang <fwang> 0.7.81-1.mga2
+ Revision: 174850
- fix linkage

  + ovitters <ovitters>
    - verbose build
    - fix buildrequires
    - fix buildrequires
    - fix buildrequires
    - new version 0.7.81

* Wed Jul 20 2011 fwang <fwang> 0.7-1.mga2
+ Revision: 126930
- update file list
- more str fmt fix
- fix multiple definition
- br libcacard
- bump br
- new version 0.7

* Thu Jun 23 2011 cjw <cjw> 0.6-1.mga2
+ Revision: 112680
- add BuildRequires: libsasl2-devel
- add BuildRequires: intltool
- add BuildRequires: gettext-devel
- 0.6 (new import)

  + saispo <saispo>
    - imported package spice-gtk

